import { CSSProperties, InputHTMLAttributes } from "react";
type CheckboxProps = Omit<InputHTMLAttributes<HTMLInputElement>, "type" | "placeholder" | "disabled" | "onChange" | "value" | "size" | "checked" | "style"> & {
    size?: CSSProperties["width"];
    color?: CSSProperties["backgroundColor"];
    borderColor?: CSSProperties["borderColor"];
    disabledColor?: CSSProperties["backgroundColor"];
    disabledBorderColor?: CSSProperties["borderColor"];
    borderRadius?: CSSProperties["borderRadius"];
};
declare const Checkbox: {
    ({ size, color, borderColor, disabledColor, disabledBorderColor, borderRadius, ...inputProps }: CheckboxProps): JSX.Element;
    Label: ({ children, style }: {
        children: import("react").ReactNode;
        style?: CSSProperties | undefined;
    }) => JSX.Element;
};
export default Checkbox;
