import { CSSProperties, InputHTMLAttributes, ReactNode } from "react";
export type InputProps = Omit<InputHTMLAttributes<HTMLInputElement>, "type" | "placeholder" | "disabled" | "onChange" | "value"> & {
    name: string;
    disabled?: boolean;
    placeholder?: string;
    type?: "text" | "password" | "number" | "color";
    children?: ReactNode;
};
declare const Input: {
    ({ disabled, name, style, placeholder, type, children, ...props }: InputProps): JSX.Element;
    Label: ({ children, style }: {
        children: ReactNode;
        style?: CSSProperties | undefined;
    }) => JSX.Element;
    Field: ({ style, disabledStyle, errorStyle, type, ...props }: {
        disabledStyle?: CSSProperties | undefined;
        errorStyle?: CSSProperties | undefined;
        type?: "number" | "text" | "color" | "password" | undefined;
    } & Omit<InputHTMLAttributes<HTMLInputElement>, "type">) => JSX.Element;
    ErrorMessage: ({ style }: {
        style?: CSSProperties | undefined;
    }) => JSX.Element | null;
    Tooltip: ({ validNode, errorNode }: {
        validNode?: ReactNode;
        errorNode?: ReactNode;
    }) => JSX.Element | null;
    Counter: ({ style, max, format }: {
        style?: CSSProperties | undefined;
        max?: number | undefined;
        format?: ((count: number, max?: number | undefined) => string) | undefined;
    }) => JSX.Element;
};
export default Input;
