import React, { CSSProperties } from "react";
export type SelectProps = {
    name: string;
    disabled?: boolean;
    children: React.ReactNode;
    style?: CSSProperties;
};
declare const Select: {
    ({ disabled, name, children, style }: SelectProps): JSX.Element;
    Button: ({ style, icon, disabledStyle, errorStyle, }: import("./Button").SelectButtonProps) => JSX.Element;
    Options: ({ children, style }: import("./Options").SelectOptionsProps) => JSX.Element | null;
    Option: ({ children, style, value, onChange, hoverStyle, selectedOptionStyle, }: import("./Option").SelectOptionProps) => JSX.Element;
    Label: ({ children, style }: {
        children: React.ReactNode;
        style?: React.CSSProperties | undefined;
    }) => JSX.Element;
    ErrorMessage: ({ style }: {
        style?: React.CSSProperties | undefined;
    }) => JSX.Element | null;
};
export default Select;
